Subject: Re: general protection fault in j1939_sk_bind

From: syzbot <[email-masked]>
Date: Fri, 17 Jan 2020 01:06:01 -0800

syzbot suspects this bug was fixed by commit:

commit 00d4e14d2e4caf5f7254a505fee5eeca8cd37bd4
Author: Oleksij Rempel <[email-masked]>
Date:   Fri Dec 6 14:18:35 2019 +0000

     can: j1939: j1939_sk_bind(): take priv after lock is held

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=1001b266e00000
start commit:   32ef9553 Merge tag 'fsnotify_for_v5.5-rc1' of git://git.ke..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=c2e464ae414aee8c
dashboard link: https://syzkaller.appspot.com/bug?extid=4857323ec1bb236f6a45
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=177c34a2e00000

If the result looks correct, please mark the bug fixed by replying with:

#syz fix: can: j1939: j1939_sk_bind(): take priv after lock is held

For information about bisection process see: https://goo.gl/tpsmEJ#bisection